#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-Kr4GyVgvND2L5kQuLJ786X
key:                  foldl-1.4.17-Kr4GyVgvND2L5kQuLJ786X
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  cc471f94095bb24fb000396cf19d6ea7
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-Kr4GyVgvND2L5kQuLJ786X
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-21PlzLkOg7nId3i8vYrrqh containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.4.0-BiMdM8DAZvpBwJziK8reqF
    primitive-0.7.4.0-6KmKRdtjMquLpK2leC8DMp
    profunctors-5.6.2-HtLvwtSpPPREf3FPuKFOzH
    random-1.2.1.2-16EsFile9CO8LN79UJ2fx
    semigroupoids-5.3.7-FvvNHk7UKJ3E99Kg3kwSzT text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-FlJ58vN39MpAJvDCdrVy2C
    vector-0.13.1.0-L0sJ9rsFoTeKCVYCfA24Gj

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

